Zum Hauptinhalt springen
PUT
/
crm
/
v3
/
property-validations
/
{objectTypeId}
/
{propertyName}
/
rule-type
/
{ruleType}
Update a validation rule for a specific property and rule type, allowing customization of property value constraints.
curl --request PUT \
  --url https://api.hubapi.com/crm/v3/property-validations/{objectTypeId}/{propertyName}/rule-type/{ruleType} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ruleArguments": [
    "<string>"
  ],
  "shouldApplyNormalization": true
}
'
This response has no body data.

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

objectTypeId
string
erforderlich
propertyName
string
erforderlich
ruleType
enum<string>
erforderlich
Verfügbare Optionen:
AFTER_DATETIME_DURATION,
AFTER_DURATION,
ALPHANUMERIC,
BEFORE_DATETIME_DURATION,
BEFORE_DURATION,
DAYS_OF_WEEK,
DECIMAL,
DOMAIN,
EMAIL,
EMAIL_ALLOWED_DOMAINS,
EMAIL_BLOCKED_DOMAINS,
END_DATE,
END_DATETIME,
FORMAT,
MAX_LENGTH,
MAX_NUMBER,
MIN_LENGTH,
MIN_NUMBER,
PHONE_NUMBER_WITH_EXPLICIT_COUNTRY_CODE,
REGEX,
SPECIAL_CHARACTERS,
START_DATE,
START_DATETIME,
URL,
URL_ALLOWED_DOMAINS,
URL_BLOCKED_DOMAINS,
WHITESPACE

Body

application/json
ruleArguments
string[]
erforderlich

A list of arguments that define the constraints for the validation rule.

shouldApplyNormalization
boolean

Antwort

Last modified on April 9, 2026